
From: Benjamin Herrenschmidt <benh@kernel.crashing.org>

radeonfb tends to override TMDS_TRANSMITTER_CNTL completely, which appears
to be incorrect with some recent flat panels.  This patch changes this so
that we only tweak the bits we want in there and preserve the BIOS value
for the rest.

Along with the i2c fix, that patch fixes operations on the latest Apple
cinema displays.

Signed-off-by: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/aty/radeon_base.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN drivers/video/aty/radeon_base.c~radeonfb-preserve-tmds-setting drivers/video/aty/radeon_base.c
--- 25/drivers/video/aty/radeon_base.c~radeonfb-preserve-tmds-setting	2005-03-30 18:03:11.000000000 -0800
+++ 25-akpm/drivers/video/aty/radeon_base.c	2005-03-30 18:03:11.000000000 -0800
@@ -1743,8 +1743,7 @@ static int radeonfb_set_par(struct fb_in
 		} else {
 			/* DFP */
 			newmode->fp_gen_cntl |= (FP_FPON | FP_TMDS_EN);
-			newmode->tmds_transmitter_cntl = (TMDS_RAN_PAT_RST | TMDS_ICHCSEL) &
-							 ~(TMDS_PLLRST);
+			newmode->tmds_transmitter_cntl &= ~(TMDS_PLLRST);
 			/* TMDS_PLL_EN bit is reversed on RV (and mobility) chips */
 			if (IS_R300_VARIANT(rinfo) ||
 			    (rinfo->family == CHIP_FAMILY_R200) || !rinfo->has_CRTC2)
_
